Subject: [saag] RFC 6090 clean code

From: Robert Moskowitz <[email-masked]>
Date: Wed, 03 Aug 2011 09:40:20 -0400

I keep coming back to this issue as I deal with hardware vendors that 
are careful about what they build into hardware; particularly when 
patent holders have been very vocal in the past about the value 
proposition of their patents.

Now that a new academic year is approaching, it would seem that there 
are students that could be coding RFC 6090 from a clean slate as their 
term project(s).  Said code SHOULD be free of intentional IPR 
infringement, but probably would still need review for parallelisms.

Is this worthwhile?  I would approach some of the unis I have 
connections to.

I personally am pushing for widespread use of ECDH in all of those 
billions of sensors set to be built over the next few years, and having 
something clean would do nothing but help.

Or if I am all wet (we actually had some rain last night in Detroit, and 
I took a walk out in it without an umbrella; it felt nice) I have other 
windmills to tilt at.